package com.dsic.gj_erp.bean.scjh;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 管子生产计划执行查询情况返回Vo 愮有     制作完工时间得根数  处理完工时间得根数   配送出库完成得时间
 * </p>
 *
 * @author xhj
 * @since 2021-10-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GzscjhzxckVo {

    private static final long serialVersionUID=1L;

    // >=06
    private Long zzwgQty;
    //>=07
    private Long clwgQty;
    //>=10
    private Long psckQty;



    private String id;

    @ApiModelProperty(value = "工程编号 Q11")
    private String project;

    @ApiModelProperty(value = "区域   Q12")
    private String zone;

    @ApiModelProperty(value = "分段号 Q13")
    private String blockNo;

    @ApiModelProperty(value = "批号 Q21")
    private String ph;

    @ApiModelProperty(value = "卡号 Q22")
    private String kh;

    @ApiModelProperty(value = "暂不使用 不显示")
    private String pmlNo;

    @ApiModelProperty(value = "制作图号  Q23")
    private String dwgNo;

    @ApiModelProperty(value = "图纸名称 Q24")
    private String dwgName;

    @ApiModelProperty(value = "计划分类 dict=‘jhlx’ (1001-管支架 0201-管子制作)")
    private String planType;

    @ApiModelProperty(value = "图纸类型  Q25 dict='TZLX' (01-制作图 02-通知单 99-其他) 默认01")
    private String dwgType;

    @ApiModelProperty(value = "数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "工时")
    private BigDecimal wkh;

    @ApiModelProperty(value = "管材重量(吨)")
    private BigDecimal wgt;

    @ApiModelProperty(value = "计划状态 Q15 dict=‘SCJHZT’ (01-编制 02-提交 03-审核 04-预留 05-平衡) 默认01")
    private String status;

    @ApiModelProperty(value = "责任单位 (默认 02-管系制造部)")
    private String departCode;

    @ApiModelProperty(value = "所属车间 不用显示关联制作图数据使用  默认赋值(02-管子 021-管支架)")
    private String sscj;

    @ApiModelProperty(value = "需求单位 Q31  (dm_demand_depart需求单位表)")
    private String xqdw;

    @ApiModelProperty(value = "需求时间 Q32 (1时间类型:需求时间|制作完工计划时间|集配入库计划完成时间 2开始 3结束)")
    private String xqsj;

    @ApiModelProperty(value = "配送地点 暂不使用")
    private String xqdd;

    @ApiModelProperty(value = "前方实际需求日期")
    private String sjxqsj;

    @ApiModelProperty(value = "前方实际需求周次")
    private String sjxqzc;

    @ApiModelProperty(value = "计划提前期方案")
    private String leadtimeName;

    @ApiModelProperty(value = "图纸证件需求时间")
    private String tzzjJhsj;

    @ApiModelProperty(value = "技术处理下图计划时间")
    private String jsclJhsj;

    @ApiModelProperty(value = "物资准备完成计划时间")
    private String wzzbJhsj;

    @ApiModelProperty(value = "备料完成计划时间 暂不使用")
    private String blwgJhsj;

    @ApiModelProperty(value = "机加工完工计划时间 暂不使用")
    private String jjwgJhsj;

    @ApiModelProperty(value = "制作完工计划时间")
    private String zzwgJhsj;

    @ApiModelProperty(value = "涂塑处理完工计划时间")
    private String tswgJhsj;

    @ApiModelProperty(value = "表面处理完工计划时间")
    private String clwgJhsj;

    @ApiModelProperty(value = "涂装完工计划时间 暂不使用")
    private String tzwgJhsj;

    @ApiModelProperty(value = "集配入库计划时间")
    private String jprkJhsj;

    @ApiModelProperty(value = "计划性质 (计划平衡时输入)")
    private String jhxz;

    @ApiModelProperty(value = "集配入库平衡计划时间  (计划平衡时输入)")
    private String jprkPhsj;

    @ApiModelProperty(value = "图纸证件来图时间")
    private String tzzjSjsj;

    @ApiModelProperty(value = "图纸份数")
    private Integer tzzjFs;

    @ApiModelProperty(value = "图纸登记人员")
    private String tzzjDjry;

    @ApiModelProperty(value = "技术处理完成时间")
    private String jsclSjsj;

    @ApiModelProperty(value = "主管工艺员")
    private String gyry;

    @ApiModelProperty(value = "物资准备完成时间 (开始-结束)")
    private String wzzbSjsj;

    @ApiModelProperty(value = "作业计划下达时间 (开始-结束)")
    private String zyjhSjsj;

    @ApiModelProperty(value = "备料完成时间 (开始-结束) 暂不使用")
    private String blwgSjsj;

    @ApiModelProperty(value = "机加工完工时间 (开始-结束) 暂不使用")
    private String jjwgSjsj;

    //制作完工转运回报
    @ApiModelProperty(value = "制作完工时间 (开始-结束)")
    private String zzwgSjsj;

    @ApiModelProperty(value = "涂塑完工时间 (开始-结束)")
    private String tswgSjsj;

    //表面处理完工回报反写
    @ApiModelProperty(value = "表面处理完工时间 (开始-结束)")
    private String vlwgSjsj;


    @ApiModelProperty(value = "涂装完工时间 (开始-结束) 暂不使用")
    private String tzwgSjsj;

    @ApiModelProperty(value = "集配入库时间 (开始-结束)")
    private String jprkSjsj;

    //管子前方配送维护时反写
    @ApiModelProperty(value = "配送出库时间 (开始-结束)")
    private String psckSjsj;

    @ApiModelProperty(value = "生产状态 预留")
    private String status1;

    @ApiModelProperty(value = "拖期说明")
    private String delayRemark;

    @ApiModelProperty(value = "编制人员  Q14")
    private String bzry;

    @ApiModelProperty(value = "编制日期")
    private String bzrq;

    @ApiModelProperty(value = "提交人员")
    private String tjry;

    @ApiModelProperty(value = "提交日期")
    private String tjrq;

    @ApiModelProperty(value = "审核人员")
    private String shry;

    @ApiModelProperty(value = "审核日期")
    private String shrq;

    @ApiModelProperty(value = "平衡人员")
    private String phry;

    @ApiModelProperty(value = "平衡日期")
    private String phrq;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "舾装需求计划日期")
    private String xzxqJhrq;

    @ApiModelProperty(value = "舾装需求编制人员")
    private String xzxqBzry;

    @ApiModelProperty(value = "舾装需求编制日期")
    private String xzxqBzrq;

    @ApiModelProperty(value = "舾装需求备注")
    private String xzxqRemark;

    @ApiModelProperty(value = "计划修正次数")
    private Integer modifyTimes;

    @ApiModelProperty(value = "计划修正人员")
    private String modifyRy;

    @ApiModelProperty(value = "计划修正日期")
    private String modifyRq;

    @ApiModelProperty(value = "原需求日期")
    private String lastXqsj;

    @ApiModelProperty(value = "原制作完工计划时间")
    private String lastZzwgJhsj;

    @ApiModelProperty(value = "原集配入库计划时间")
    private String lastJprkJhsj;

    @ApiModelProperty(value = "材料托盘表")
    private String pmlCl;

    @ApiModelProperty(value = "材料托盘表-来图时间")
    private String pmlClLtsj;

    @ApiModelProperty(value = "制作件托盘表")
    private String pmlZz;

    @ApiModelProperty(value = "制作件托盘表-来图时间")
    private String pmlZzLtsj;

    @ApiModelProperty(value = "安装托盘表")
    private String pmlAz;

    @ApiModelProperty(value = "安装托盘表-来图时间")
    private String pmlAzLtsj;

    @ApiModelProperty(value = "安装附件托盘表")
    private String pmlAzfj;

    @ApiModelProperty(value = "安装附件托盘表-来图时间")
    private String pmlAzfjLtsj;

    @ApiModelProperty(value = "管支架制作图")
    private String dwgGzj;

    @ApiModelProperty(value = "管支架制作图-来图时间")
    private String dwgGzjLtsj;

    @ApiModelProperty(value = "安装图号")
    private String dwgAz;

    @ApiModelProperty(value = "安装图-来图时间")
    private String dwgAzLtsj;

    @ApiModelProperty(value = "订货清单_管材")
    private String dhqdGc;

    @ApiModelProperty(value = "订货清单_附件")
    private String dhqdFj;

    @ApiModelProperty(value = "订货清单_焊材")
    private String dhqdHc;

    @ApiModelProperty(value = "采购批号_管材")
    private String cgphGc;

    @ApiModelProperty(value = "采购批号_附件")
    private String cgphFj;

    @ApiModelProperty(value = "取消标识 Y/N 默认N")
    private String cancelMark;

    @ApiModelProperty(value = "取消日期")
    private String cancelDate;

    @ApiModelProperty(value = "取消人员")
    private String cancelUser;

    @ApiModelProperty(value = "取消说明")
    private String cancelRemark;

    @ApiModelProperty(value = "WP_NO  暂不使用CIMS预留")
    @TableField("WP_NO")
    private String wpNo;

    @ApiModelProperty(value = "WO_NO 暂不使用CIMS预留")
    @TableField("WO_NO")
    private String woNo;

    @ApiModelProperty(value = "WRK_ORGN 暂不使用CIMS预留")
    @TableField("WRK_ORGN")
    private String wrkOrgn;

    @ApiModelProperty(value = "DEPT_STPLDT 暂不使用CIMS预留")
    @TableField("DEPT_STPLDT")
    private String deptStpldt;

    @ApiModelProperty(value = "DEPT_FIPLDT 暂不使用CIMS预留")
    @TableField("DEPT_FIPLDT")
    private String deptFipldt;

    @ApiModelProperty(value = "WK_STDT 暂不使用CIMS预留")
    @TableField("WK_STDT")
    private String wkStdt;

    @ApiModelProperty(value = "WK_FIDT 暂不使用CIMS预留")
    @TableField("WK_FIDT")
    private String wkFidt;

    @ApiModelProperty(value = "RGST_USER_ID 暂不使用CIMS预留")
    @TableField("RGST_USER_ID")
    private String rgstUserId;

    @ApiModelProperty(value = "CIMS_ST_SN 暂不使用CIMS预留")
    @TableField("CIMS_ST_SN")
    private String cimsStSn;

    @ApiModelProperty(value = "CIMS_FI_SN 暂不使用CIMS预留")
    @TableField("CIMS_FI_SN")
    private String cimsFiSn;

    private String ylzd1;

    private String ylzd2;

    private String ylzd3;

    private BigDecimal ylzd4;

    private BigDecimal ylzd5;

    private BigDecimal ylzd6;




}
